## qbittorrent 4.1.6

=== debian/changelog ===
qbittorrent (4.1.6-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Disable dbg and dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 May 2019 17:51:17 -0700
