=== dist/windows/CMakeLists.txt ===
install(FILES qt.conf DESTINATION ${CMAKE_INSTALL_BINDIR})
