=== debian/changelog ===
qbittorrent (4.1.7-1ubuntu3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:27:54 +0000

qbittorrent (4.1.7-1ubuntu2) focal; urgency=medium

  * Build using dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 15:58:14 +0100

qbittorrent (4.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #933889).
   - Prevent command injection via "Run external program" function
     (Closes: #932539, CVE-2019-13640).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Aug 2019 16:51:10 -0400

qbittorrent (4.1.6-1) unstable; urgency=medium

  * New upstream version 4.1.6 (Closes: #928748)

 -- Ondřej Surý <ondrej@sury.org>  Thu, 11 Jul 2019 09:26:24 +0200
