=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
+               dh-python, python2,
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 1.1.2),
                libboost-dev,
@@ -20,7 +21,7 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         python (>= 2.5), geoip-database
+         ${python:Depends}, geoip-database
 Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
@@ -64,3 +65,15 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
+
+Package: qbittorrent-dbg
+Architecture: any
+Section: debug
+Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
+Description: debug symbols for qbittorrent and qbittorrent-nox
+ BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
+ user interface. qBittorrent is a feature rich but lightweight client that is
+ very similar to uTorrent.
+ .
+ This package contains the debugging symbols for qbittorrent and
+ qbittorrent-nox.
