=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --without autoreconf
+	dh $@ --with python2 --without autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- --disable-gui \
@@ -30,4 +30,4 @@
 	dh_auto_clean --builddirectory build-gui
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip -a --dbg-package=qbittorrent-dbg
