## qbittorrent 4.1.8

=== debian/changelog ===
qbittorrent (4.1.8-0.1~mx17+1) mx; urgency=medium

  * New upstream release:  
    - BUGFIX: Fix filename validation on non-Windows OS.
    - BUGFIX: ScanFolders/FileSystemWatcher now detect magnet files with case
      insensitivity in filename.
    - BUGFIX: Fix failed seeding after creating a torrent and auto-adding it to 
      the session.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 16:23:31 -0700

qbittorrent (4.1.7-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Aug 2019 11:55:41 -0700

qbittorrent (4.1.6-1~mx19+2) mx; urgency=medium

  * Rebuild against original orig file in MX repo.
  * Disable dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Jul 2019 11:07:14 -0700

qbittorrent (4.1.6-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Jul 2019 19:40:34 -0700
