## qbittorrent 4.1.9

=== debian/changelog ===
qbittorrent (4.1.9-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - BUGFIX: Preserve relative order when moving to top/bottom in queue
      (Chocobo1)
    - WINDOWS: Use real physical screen DPI (Chocobo1)
    - WEBUI: Bump Web API version

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Oct 2019 18:53:05 -0700

qbittorrent (4.1.8-0.1~mx19+1) mx; urgency=medium

  * New upstream release:  
    - BUGFIX: Fix filename validation on non-Windows OS.
    - BUGFIX: ScanFolders/FileSystemWatcher now detect magnet files with case
      insensitivity in filename.
    - BUGFIX: Fix failed seeding after creating a torrent and auto-adding it to 
      the session.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 16:23:31 -0700
