=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-python, python2,
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.2),
+               libtorrent-rasterbar-dev (>= 1.1.9),
                libboost-dev,
                libqt5svg5-dev,
-               qtbase5-dev (>= 5.2.0),
+               qtbase5-dev (>= 5.5.1),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.3.0
@@ -21,8 +20,8 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         ${python:Depends}, geoip-database
-Suggests: qbittorrent-dbg
+         python (>= 2.5), geoip-database
+#Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
@@ -65,15 +64,3 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
-
-Package: qbittorrent-dbg
-Architecture: any
-Section: debug
-Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for qbittorrent and qbittorrent-nox
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
- user interface. qBittorrent is a feature rich but lightweight client that is
- very similar to uTorrent.
- .
- This package contains the debugging symbols for qbittorrent and
- qbittorrent-nox.
