## qbittorrent 4.2.0

=== debian/changelog ===
qbittorrent (4.2.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19.
  * Minimum version of Qt 5 is now 5.9.0.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Dec 2019 18:45:12 -0800

qbittorrent (4.1.9-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - BUGFIX: Preserve relative order when moving to top/bottom in queue
      (Chocobo1)
    - WINDOWS: Use real physical screen DPI (Chocobo1)
    - WEBUI: Bump Web API version

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Oct 2019 18:53:05 -0700
