## qbittorrent 4.2.1

=== debian/changelog ===
qbittorrent (4.2.1-0.1~mx19+2) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Enable portable mode if “profile” directory exists
    - Enable “Apply rate limit to peers on LAN” option by default
    - Expand single-item folders in torrent content
    - Rework the listening IP/interface selection code
    - Bug-fixes and some Web UI changes.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Dec 2019 15:15:43 -0800
