=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libtorrent-rasterbar-dev (>= 1.1.9),
                libboost-dev,
                libqt5svg5-dev,
-               qtbase5-dev (>= 5.5.1),
+               qtbase5-dev (>= 5.9.0),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.3.0
@@ -21,7 +21,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          python (>= 2.5), geoip-database
-#Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
