## qbittorrent 4.2.3

=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,17 @@
 # headers
 bittorrent/addtorrentparams.h
 bittorrent/cachestatus.h
-bittorrent/filepriority.h
+bittorrent/downloadpriority.h
 bittorrent/infohash.h
 bittorrent/magneturi.h
+bittorrent/peeraddress.h
 bittorrent/peerinfo.h
 bittorrent/private/bandwidthscheduler.h
 bittorrent/private/filterparserthread.h
+bittorrent/private/ltunderlyingtype.h
+bittorrent/private/nativesessionextension.h
+bittorrent/private/nativetorrentextension.h
+bittorrent/private/portforwarderimpl.h
 bittorrent/private/resumedatasavingmanager.h
 bittorrent/private/speedmonitor.h
 bittorrent/private/statistics.h
@@ -29,10 +34,10 @@
 http/server.h
 http/types.h
 net/dnsupdater.h
-net/downloadhandler.h
 net/downloadmanager.h
 net/geoipmanager.h
 net/portforwarder.h
+net/private/downloadhandlerimpl.h
 net/private/geoipdatabase.h
 net/proxyconfigurationmanager.h
 net/reverseresolution.h
@@ -55,6 +60,7 @@
 utils/gzip.h
 utils/misc.h
 utils/net.h
+utils/password.h
 utils/random.h
 utils/string.h
 utils/version.h
@@ -77,12 +83,16 @@
 unicodestrings.h
 
 # sources
-bittorrent/filepriority.cpp
+bittorrent/downloadpriority.cpp
 bittorrent/infohash.cpp
 bittorrent/magneturi.cpp
+bittorrent/peeraddress.cpp
 bittorrent/peerinfo.cpp
 bittorrent/private/bandwidthscheduler.cpp
 bittorrent/private/filterparserthread.cpp
+bittorrent/private/nativesessionextension.cpp
+bittorrent/private/nativetorrentextension.cpp
+bittorrent/private/portforwarderimpl.cpp
 bittorrent/private/resumedatasavingmanager.cpp
 bittorrent/private/speedmonitor.cpp
 bittorrent/private/statistics.cpp
@@ -99,10 +109,10 @@
 http/responsegenerator.cpp
 http/server.cpp
 net/dnsupdater.cpp
-net/downloadhandler.cpp
 net/downloadmanager.cpp
 net/geoipmanager.cpp
 net/portforwarder.cpp
+net/private/downloadhandlerimpl.cpp
 net/private/geoipdatabase.cpp
 net/proxyconfigurationmanager.cpp
 net/reverseresolution.cpp
@@ -125,6 +135,7 @@
 utils/gzip.cpp
 utils/misc.cpp
 utils/net.cpp
+utils/password.cpp
 utils/random.cpp
 utils/string.cpp
 asyncfilestorage.cpp
