## qbittorrent 4.2.4

=== debian/changelog ===
qbittorrent (4.2.4-0.1~mx19+2) mx; urgency=medium

  * New upstream release; build for MX 19:
    - BUGFIX: Fix sub-sorting of Transfer list (glassez)
    - BUGFIX: Fix wrong logic that disables "prevent sleeping" timer (Chocobo1)
    - BUGFIX: Set disk cache size for older libtorrent versions (NotTsunami)
    - BUGFIX: Sort locale language list (Chocobo1)
    - BUGFIX: Remove white outline around mascot.png (adem)
    - BUGFIX: Various fixes in configuring the chosen network interface and not
              leaking the IP (Raif Atef, an0n666)
    - BUGFIX: Save "resume data" when torrent storage is moved (glassez)
    - BUGFIX: Avoid holding encoded resume data in memory (Chocobo1)
    - BUGFIX: Fix date format for "Last seen complete" (Chocobo1)
    - BUGFIX: Remove deprecated strict super seeding mode from advanced
              settings (an0n666)
    - BUGFIX: Change default stop_tracker_timeout settings (an0n666)
    - BUGFIX: Convert the Log widget to use custom View/Model (jagannatharjun)
    - BUGFIX: Change default upload slot choking limits (an0n666)
    - BUGFIX: Don't uncheck Authentication checkbox when changing proxy
              type (thalieht)
    - BUGFIX: Reduce ambiguity for selecting tray icons (Chocobo1)
    - WEBUI: Fix unable to add multiple peers in WebUI (Sepro)
    - WEBUI: Fix UPnP lease duration get/set (NotTsunami)

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Apr 2020 10:42:16 -0700

qbittorrent (4.2.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Add logging for SOCKS5 proxy errors (Chocobo1)
    - FEATURE: Add UPnP lease duration advanced option (NotTsunami)
    - BUGFIX: Allow to translate error messages (Chocobo1)
    - BUGFIX: Don't round scaling factor (Nick Korotysh)
    - BUGFIX: Save log file in UTF-8 encoding (Chocobo1)
    - BUGFIX: Avoid log file excessive flushing (Chocobo1)
    - BUGFIX: Fix regression when fastresume contains network path (Tester798)
    - BUGFIX: Fix broken UNC paths in fastresumes on Windows (sledgehammer999)
    - BUGFIX: Prevent multiple instances for the same app config (glassez)
    - BUGFIX: Fix unexpected torrent resume after app restart with libtorrent
      1.1.x (glassez)
    - WEBUI: Add alt and title tags for WebUI footer (LameLemon)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Apr 2020 09:16:37 -0700

qbittorrent (4.2.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Allow transfer list text color changes through QSS
      (Prince Gupta)
    - FEATURE: Option to show console when external program is run
      (sledgehammer999)
    - FEATURE: Rename Country column to "Country / Region" (Thomas Piccirello)
    - FEATURE: Change the defaults of some settings (FranciscoPombal)
    - FEATURE: Refactored Transfer List code to allow theming. As a sideffect
      the row height has more padding. (glassez)
    - FEATURE: Allow double-click in preview dialog (thalieht)
    - FEATURE: Expose stop_tracker_timeout in advanced settings (an0n666)
    - FEATURE: Add piece_extent_affinity to AdvancedSettings (FranciscoPombal)
    - FEATURE: Reorganize UI theme selection (Prince Gupta)
    - FEATURE: Show any multiple connections from the same IP in peer list
      (thalieht)
    - FEATURE: Add stalled filters to GUI and Web API/UI (FranciscoPombal)
    - FEATURE: Use IP geolocation database by DB-IP instead of MaxMind
      (sledgehammer999)
    - FEATURE: Allow to save downloaded metadata as torrent file (glassez)
    - FEATURE: Allow single app instance per configuration (glassez)
    - PERFORMANCE: Move multiple torrents one by one (glassez)
    - BUGFIX: Disable Torrent Queue by default for new users (an0n666)
    - BUGFIX: Update free disk space label on Category change in Auto Mode
      (Medvedishce)
    - BUGFIX: Save resume data after recheck (glassez)
    - BUGFIX: Tracker is errored only if all local endpoints fail
      (sledgehammer999)
    - BUGFIX: Change placement of stop tracker timeout setting (An0n)
    - BUGFIX: Redesign torrent startup handling (glassez)
    - BUGFIX: Show "∞" instead of " -1" in Preferences (Sakib-Abrar)
    - BUGFIX: Improve code efficiency for reverse resolution of peers (Chocobo1)
    - BUGFIX: Handle HTTP redirection to magnet URI (glassez)
    - BUGFIX: Various fixes for portable mode (Tester798)
    - BUGFIX: Include resume folder path in exception message (Chocobo1)
    - BUGFIX: Change placeholder text in torrent list's filter (djt3)
    - BUGFIX: Improvements in the embedded tracker to be more spec compliant
     (FranciscoPombal)
    - BUGFIX: Improve the options tooltips (NotTsunami)
    - BUGFIX: Check if file exists in seed mode (an0n666)
    - BUGFIX: Delegate GUI scaling work to Qt (Nick Korotysh)
    - BUGFIX: Fix crash when renaming torrent contents (Chocobo1)
    - BUGFIX: Fix total connected peers count calculation (FranciscoPombal)
    - BUGFIX: Allow other keypresses in LogListWidget (NotTsunami)
    - BUGFIX: Disable Auto TMM when not using default savepath from monitored
      folder (thalieht)
    - WEBUI: Fix first row renaming in files tab (Denis)
    - WEBUI: Use SVG image for WebUI favicon (Nick Korotysh)
    - WEBUI: Inherit text color for filter list elements (Nick Korotysh)
    - WEBUI: Expose WebUI ban counter to users (Chocobo1)
    - WEBUI: Expose WebUI ban duration to users (Chocobo1)
    - WEBUI: Implement "Secure" flag for session cookie (FranciscoPombal)
    - WEBUI: Remove unused/deprecated option (FranciscoPombal)
    - WEBUI: Prevent excessive sync requests (FranciscoPombal)
    - WEBUI: Fix populating statistics window (FranciscoPombal)
    - WEBUI: Fix matching uncategorized torrents (FranciscoPombal)
    - WEBUI: Always allow whitespace in category names (FranciscoPombal)
    - SEARCH: Bump python version for new installation (Chocobo1)
    - SEARCH: Fix missing string (Chocobo1)
    - SEARCH: Drop python2 support (Chocobo1)


