=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.9),
-               libboost-dev,
-               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 1.1.10),
+               libboost-dev (>= 1.40),
+               libqt5svg5-dev (>= 5.9.0),
                qtbase5-dev (>= 5.9.0),
-               qttools5-dev-tools,
-               zlib1g-dev
+               qttools5-dev-tools (>= 5.9.0),
+               zlib1g-dev (>= 1.2.5.2)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
@@ -20,7 +20,7 @@
 Package: qbittorrent
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         python (>= 2.5), geoip-database
+         python3 (>= 3.3.0), geoip-database
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
